## DeeClient DeeClient — Creates a client object you can use to connect to a DeeServer. |

## Synopsis

    #include <dee.h>

                        DeeClient;
                        DeeClientClass;
    DeeClient *         dee_client_new                      (const gchar *swarm_name);
    DeeClient *         dee_client_new_for_address          (const gchar *swarm_name,
                                                             const gchar *bus_address);

## Object Hierarchy

      GObject
       +----DeePeer
             +----DeeClient

## Properties

      "bus-address"              gchar*                : Read / Write / Construct Only

## Description

DeeClient is the endpoint for connecting to DeeServer.

## Details

### DeeClient

    typedef struct _DeeClient DeeClient;

### DeeClientClass

    typedef struct {
    } DeeClientClass;

### dee_client_new ()

    DeeClient *         dee_client_new                      (const gchar *swarm_name);

Creates a new instance of DeeClient and tries to connect to DeeServer created using `dee_server_new()`. The "swarm-leader" property will be set once the client connects.

`swarm_name` : | Name of swarm to join.
Returns : | A newly constructed DeeClient. [transfer full]

### dee_client_new_for_address ()

    DeeClient *         dee_client_new_for_address          (const gchar *swarm_name,
                                                             const gchar *bus_address);

Creates a new instance of DeeClient and tries to connect to `bus_address`. The "swarm-leader" property will be set once the client connects.

`swarm_name` : | Name of swarm to join.
`bus_address` : | D-Bus address to use when connecting to the server.
Returns : | A newly constructed DeeClient. [transfer full]

## Property Details

### The `"bus-address"` property

      "bus-address"              gchar*                : Read / Write / Construct Only

Bus address to use for the connection.

Default value: NULL